{*****************************************************************************
 *
 *  EndDialog.pas - Result of Exercise
 *
 *  Copyright (c) 1999 Diego Amicabile
 *
 *  Author:     Diego Amicabile
 *  E-mail:     diegoami@yahoo.it
 *  Homepage:   http://www.geocities.com/diegoami
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

unit EndDialog;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Global;

type
  TOKBottomDlg = class(TForm)
    CancelBtn: TButton;
    Bevel1: TBevel;
    MistakesLabel: TLabel;
    CharactersLabel: TLabel;
    Label3: TLabel;
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OKBottomDlg: TOKBottomDlg;

implementation

{$R *.DFM}

procedure TOKBottomDlg.CancelBtnClick(Sender: TObject);
begin
  Halt;
end;

procedure TOKBottomDlg.FormShow(Sender: TObject);
var EndTime : TTimeStamp;
    cps : real;
    Interlapsed : integer;
begin
  MistakesLabel.Caption := 'You made ' + IntToStr(Mistakes) + ' Mistakes';
  EndTime := DateTimeToTimeStamp(Now);
  Interlapsed := EndTime.Time-StartTime.Time;
  cps := Characters/(interlapsed/60000);
  CharactersLabel.Caption := 'You typed ' + IntToStr(Round(cps)) + ' characters';
end;

end.
